Modul
Indhald
Innhaldsliste 🔎︎

# Shell-funksjonen

Byrjar eit nytt program og definerer vindaugestilen om nødvendig.

## Syntaks

Shell (Stinamn As String[, Vindaugestil As Integer][, Parameter As String][, bSync])

## Parameter

### Stinamn

Fullstendig sti- og programnamn for programmet du vil starta.

### Vindaugestil

Valfritt heiltalsuttrykk som bestemmer stilen for vindauget programmet køyrer i. Desse verdiane er moglege:

0 | Fokuset er på det gøymde programvindauget.
1 | Fokuset er på programvindauget i standard storleik.
2 | Fokuset er på det forminska programvindauget.
3 | Fokuset er på det maksimaliserte programvindauget.
4 | Standardstorleik på programvindauget, utan fokus.
6 | Forminska programvindauge, fokus på det aktive vindauget.
10 | Fullskjermvising

### Parameter

Eit strenguttrykk som bestemmer kommandolinja som skal brukast.

### bSync

Viss denne verdien er sett til SANN, vil Shell-kommandoen og alle programkøyringar i LibreOffice vente til shell-prosessen er ferdig. Viss verdien er sett til USANN, vil shell returnere direkte. Standardverdien er USANN.

## Feilkodar

5 Ugyldig prosedyreoppkall

53 Fann ikkje fila

73 Ikkje lagt inn

## Eksempel

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub